/* Basic Reset */
:root {
  --bg-color: #000000;
  --text-color: #ccc9dc;
  --box-color: #1b2a41;
  --btn-color: #324a5f;
  --hover-color: #aaa4dd;
  --light-text-color: #ccc9dcb4;
  --correct-color: #3898f1;
  --incorrect-color: #d49595;
}
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body {
  color: var(--text-color);
  background: var(--bg-color);
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
  padding: 1rem;
  font-family: sans-serif;
}
.container {
  background-color: var(--box-color);
  border-radius: 1rem;
  box-shadow: 0 10px 30px var(--btn-color);
  width: 100%;
  max-width: 600px;
  overflow: hidden;
  position: relative;
}
/* Screen */
.screen {
  display: none;
  padding: 2rem;
  text-align: center;
}
.screen.active {
  display: block;
  /* this .active basically make the website like, when this active class present in any div
    then that screen shows, up and other screen are not */
}
/* start screen */
#start-screen h1 {
  color: var(--text-color);
  margin-bottom: 20px;
  font-size: 2.5rem;
}
#start-screen p {
  color: var(--text-color);
  margin-bottom: 30px;
  font-size: 1.2rem;
}
.quiz-header {
  margin-bottom: 2rem;
}
#question-text {
  color: var(--text-color);
  font-size: 1.5rem;
  margin-bottom: 1.5rem;
  line-height: 1.4;
}
.quiz-info {
  display: flex;
  justify-content: space-between;
  color: var(--light-text-color);
}
.answers-container {
  display: flex;
  flex-direction: column;
  gap: 10px;
  margin-bottom: 25px;
}

/* universal button design */
button {
  background: var(--btn-color);
  border: 2px solid var(--light-text-color);
  border-radius: 10px;
  padding: 1rem;
  cursor: pointer;
  text-align: left;
  transition: all 0.3s ease;
  color: var(--text-color);
}
button:hover {
  background-color: var(--hover-color);
  color: var(--bg-color);
}

/* .answer-btn{} */
.correct {
  background-color: var(--correct-color);
  color: var(--box-color);
}
.correct:hover {
  background-color: var(--correct-color);
  color: var(--box-color);
}
.incorrect {
  color: var(--box-color);
  background-color: var(--incorrect-color);
}
.incorrect:hover {
  color: var(--box-color);
  background-color: var(--incorrect-color);
}

.progress-bar {
  height: 10px;
  background-color: var(--bg-color);
  border-radius: 5px;
  overflow: hidden;
  margin-top: 20px;
}
.progress {
  height: 100%;
  background-color: var(--hover-color);
  width: 0%;
  transition: width 0.3s ease;
}
/* Result Screen */
#result-screen h1 {
  color: var(--text-color);
  margin-bottom: 30px;
}
.result-info {
  background-color: var(--btn-color);
  border-radius: 10px;
  padding: 20px;
  margin-bottom: 30px;
}
.result-info p {
  font-size: 1.2rem;
  color: var(--text-color);
  margin-bottom: 1rem;
}

/* media query */

@media (max-width: 500px) {
  .screen {
    padding: 1rem;
  }
  #start-screen h1 {
    font-size: 2rem;
  }
  #question-text {
    font-size: 1.3rem;
  }
  .answer-btn {
    padding: 12px;
  }
  button {
    padding: 12px 25px;
    font-size: 1rem;
  }
}
